using Microsoft.EntityFrameworkCore.Migrations;

namespace wispro.sp.api.Migrations
{
    public partial class basePointRule : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Type",
                table: "PerformanceItem",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "WordCount",
                table: "PerformanceItem",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Priority",
                table: "BasePointRules",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "Type",
                table: "BasePointRules",
                type: "nvarchar(max)",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Type",
                table: "PerformanceItem");

            migrationBuilder.DropColumn(
                name: "WordCount",
                table: "PerformanceItem");

            migrationBuilder.DropColumn(
                name: "Priority",
                table: "BasePointRules");

            migrationBuilder.DropColumn(
                name: "Type",
                table: "BasePointRules");
        }
    }
}
